<?php include('casa/setup.casa.php');
$codigo = DataForms::GET('id');

$Producto = new DB();
$Fotos = new DB();

$sqlProducto = "SELECT * FROM web_productos 
WHERE prod_codigo = '$codigo';";
$Producto->dbSQL($sqlProducto);

$Producto->next();                	
    $prod_id = $Producto->dbField('prod_id');
    $prod_item = $Producto->dbField('prod_item');
    $prod_codigo = $Producto->dbField('prod_codigo');
    $prod_nombre = utf8_encode($Producto->dbField('prod_nombre'));
    $prod_piezascaja = $Producto->dbField('prod_piezascaja');
    $prod_cantidadcajas = $Producto->dbField('prod_cantidadcajas');
    $prod_unidadesreal = $Producto->dbField('prod_unidadesreal');
    $prod_preciounitario = $Producto->dbField('prod_preciounitario');
    $prod_preciodocena = $Producto->dbField('prod_preciodocena');
    $prod_preciocajadocena = $Producto->dbField('prod_preciocajadocena');
    $prod_fecha = $Producto->dbField('prod_fecha');
    $categoria = $Producto->dbField('categoria');
    $titulo = utf8_encode($Producto->dbField('titulo'));
    $caracteristicas = utf8_encode($Producto->dbField('caracteristicas'));
    $instrucciones = utf8_encode($Producto->dbField('instrucciones'));

    $sqlFotos = "SELECT * FROM web_media
    WHERE prod_codigo = '$codigo';";
    $Fotos->dbSQL($sqlFotos);
    $htmlfotos='';
    $htmlfotosprevs='';
    $htmlvideos='';
    $i=0;
    $x=0;
    $icono=[];
    while($Fotos->next()){
    $i++;
        $med_archivo = $Fotos->dbField('med_archivo');                                                
        $med_categoria = $Fotos->dbField('med_categoria');
        if($med_archivo == ''){
            $med_archivo = PATH_HOME.'files/vacio.jpg';
        }else{
            $med_archivo = PATH_HOME.'files/'.$med_archivo;
        }
        $icono[$i]=$med_archivo;
        if($i==1) $act = 'active';
        else $act = '';

        if($med_categoria=='fotos'){
            $htmlfotos .='<div class="carousel-item '.$act.'"> <img class="d-block w-100" src="'.$med_archivo.'"> </div>';
            $htmlfotosprevs.=' <li data-target="#carousel-example-1" data-slide-to="'.$x.'" class="active">
                <img class="d-block w-100 img-fluid" src="'.$med_archivo.'" alt="" />
            </li>';
        }
        if($med_categoria=='videos'){
            $htmlvideos.='<video width="100%" height="370" controls>
            <source src="'.$med_archivo.'" type="video/mp4">
                Error al reproducir el video
            </video>';                                                    
        }
        
    $x++;
    }


    $tags = '<meta property="og:title" content="'.$prod_nombre.'"/> 
<meta property="og:type" content="article" />
<meta property="og:url" content="'.PATH_HOME.'productos-detalles/'.$codigo.'" />
<meta property="og:image" content="'.$icono[1].'"/> 
<meta property="og:image:width" content="200"/> 
<meta property="og:image:height" content="200"/> 
<meta property="og:description" content="'.$prod_nombre.'" />
<meta property="og:site_name" content="'.AppName.'" /> ';
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php echo AppName; ?></title>
    <meta name="keywords" content="<?php echo AppName.', Juguetes, mochilas, pelotas, munecos'; ?>">
    <meta name="description" content="<?php echo AppName.', Juguetes, mochilas, pelotas, munecos'; ?>">
    <meta name="author" content="CASA SmartApps 77596357">
    <?php echo $tags; ?>
    <link rel="shortcut icon" href="<?php echo PATH_HOME.'web4/'; ?>images/favicon.jpg" type="image/x-icon">
    <link rel="apple-touch-icon" href="<?php echo PATH_HOME.'web4/'; ?>images/apple-touch-icon.jpg">

    <link rel="stylesheet" href="<?php echo PATH_HOME.'web4/'; ?>css/bootstrap.min.css">
    <link rel="stylesheet" href="<?php echo PATH_HOME.'web4/'; ?>css/style.css">
    <link rel="stylesheet" href="<?php echo PATH_HOME.'web4/'; ?>css/responsive.css">
    <link rel="stylesheet" href="<?php echo PATH_HOME.'web4/'; ?>css/custom.css">
 
</head>
<body>
    <?php include('web4/inc_menu.php');?>

    <div class="shop-box-inner tap">
        <div class="container">
            <div class="row">
                <div class="col-xl-9 col-lg-9 col-sm-12 col-xs-12 shop-content-right">
                    <div class="right-product-box">
                        
                        <div class="product-categorie-box">
                            <div class="tab-content">
                                <div role="tabpanel" class="tab-pane fade show active" id="grid-view">
                                    <div class="row">
                                         
    <div class="shop-detail-box-main">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-6">
                    <div id="carousel-example-1" class="single-product-slider carousel slide" data-ride="carousel">
                        <div class="carousel-inner" role="listbox">
                           <?php echo $htmlfotos; ?>
                        </div>
                        <a class="carousel-control-prev" href="#carousel-example-1" role="button" data-slide="prev"> 
						<i class="fa fa-angle-left" aria-hidden="true"></i>
						<span class="sr-only"> << </span> 
					</a>
                        <a class="carousel-control-next" href="#carousel-example-1" role="button" data-slide="next"> 
						<i class="fa fa-angle-right" aria-hidden="true"></i> 
						<span class="sr-only"> >> </span> 
					</a>
                        
                    </div>
                    <?php echo '<ol class="carousel-indicators">'.$htmlfotosprevs.'</ol>'; ?>
                    <div align="center"><h2>Videos</h2>
                         <?php echo $htmlvideos; ?>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6">
                    <div class="single-product-details" style="background:rgba(255,255,255,0.8);padding:7px;">
                        <h2><?php echo $prod_nombre; ?></h2><hr>
                        <h5><?php echo 'Precio Unitario: Bs. '.$prod_preciounitario.'<br>
                        Precio Docena: Bs. '.$prod_preciodocena; ?></h5>
						<h4>Instrucciones:</h4>
						<p><?php echo nl2br($instrucciones); ?></p>
                        <h4>Caracteristicas:</h4>
						<p><?php echo nl2br($caracteristicas); ?></p>
						<ul>
							<li>
								<div class="form-group quantity-box">
									<label class="control-label">Cantidad</label>
									<input class="form-control" id="txtCantidad" value="1" min="1" max="20" type="number">
								</div>
							</li>
						</ul>

						<div class="price-box-bar">
							<div class="cart-and-bay-btn">
								<a class="btn hvr-hover" data-fancybox-close="" href="<?php echo PATH_HOME; ?>">Volver</a>
								<a class="btn hvr-hover" data-fancybox-close="" href="#" onclick="AddCarrito()">Agregar al Carrito de Compras</a>
							</div>
                            <div id="car"></div>
						</div>

						
                    </div>
                </div>
            </div>
			

            

        </div>
    </div>
    
    <!-- detalles -->
                                        
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                    </div>
                </div>
				<?php include('web4/categorias.php');?> 
            </div>
        </div>
    </div>

    <a href="https://api.whatsapp.com/send?phone=59160536414&text=Hola+estoy+interesad@+en+su+producto.+Como+lo+obtengo??+<?php echo PATH_HOME.'productos-detalles/'.$codigo; ?>" target="_blank" style="position:fixed;bottom:100px;right:100px;background:transparent;">
        <img src="<?php echo PATH_HOME.'web4/ws.png';?>" width="77px">
        <input type="hidden" id="txtFecha">
        <input type="hidden" id="txtHora">
        
    </a>
    <?php include('web4/inc_footer.php');?>            
</body>
</html>
<script>
$(document).ready(function(){
    var tiempo = new Date();
    //fecha
    var mes =(tiempo.getMonth()+1);
        if(mes<10) mes = '0'+mes;
    var dia =tiempo.getDate();
        if(dia<10) dia='0'+dia;
    var ano = tiempo.getFullYear();
    var fecha = ano+'-'+mes+'-'+dia;
    //hora
    let hh = tiempo.getHours();
        if(hh<10) hh = '0'+hh;
    let mm = tiempo.getMinutes();
        if(mm<10) mm = '0'+mm;
    let ss = tiempo.getSeconds();
        if(ss<10) ss = '0'+ss;
    let hora = hh+':'+mm+':'+ss;

    $('#txtFecha').val(fecha);
    $('#txtHora').val(hora);
});
function AddCarrito(){
   let cant = $('#txtCantidad').val();
   let txtFecha = $('#txtFecha').val();
   let txtHora = $('#txtHora').val();
   $.post('<?php echo PATH_HOME.'web4/carrito-add.php?verify='. md5(uniqid()); ?>',{
	 'codigo': '<?php echo $codigo; ?>',	 	 
     'cant':cant,
     'precio': '<?php echo $prod_preciounitario; ?>',
     'txtFecha':txtFecha,
     'txtHora':txtHora,
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#car').html(data);
  });  
}
</script>